[project]
name = "aigeotools"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "dashscope>=1.25.19",
    "langchain-core>=1.4.0",
    "langchain-deepseek>=1.0.1",
    "langchain-groq>=1.1.2",
    "langchain-moonshot>=0.1.0",
    "langchain-openai>=1.2.2",
    "pandas>=3.0.3",
    "plotly>=6.7.0",
    "pyperclip>=1.11.0",
    "streamlit>=1.58.0",
    "tomli-w>=1.2.0",
    "watchdog>=6.0.0",
]

[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[tool.setuptools.packages.find]
include = ["scripts*"]

[dependency-groups]
dev = [
    "pyinstaller>=6.20.0",
]

[tool.uv]
package = true

[project.scripts]
python-build = "scripts.build:main"
tauri-run = "scripts.runtauri:main"
tauri-build = "scripts.build:build_tauri"
